Subject: bug#33794: 26.1; electric-pair-mode breaks auto-newline minor mode of cc-mode

From: Stefan Monnier <[email-masked]>
Date: Sun, 23 Dec 2018 09:43:53 -0500

> Right now, João's direction of travel seems to be to cement
> electric-pair-mode's unusability in modes like CC Mode, of which there
> are quite a few.

Actually, there aren't many modes "like CC mode" in my experience.
But really, I don't see why you're complaining about João's attempt to
improve electric-layout-mode.  CC-mode doesn't even use that code, so
it's completely unaffected (at least until you decide to start using
electric-layout-mode).

        Stefan